UptimeUptime Wiki

Patch_panel

Parameters

Path Parameters
id*integer

Entity id

Formatint64
Range0 <= value

Try the endpoint

GET
/api/v1/network/patch-panels/{id}

Code example

curl -X GET "https://example.com/api/v1/network/patch-panels/0"

Response example

{  "id": 0,  "rack_id": 0,  "start_u": 0,  "u_size": 0,  "sku_name": "string",  "port_count": 0,  "used_ports": 0,  "ports": [    {      "index": 0,      "label": "string",      "link": "Down",      "active": true,      "cable_ids": [        0      ],      "peer": null,      "port_id": 0,      "state": "string",      "media": "string",      "gbps_tx": 0.1,      "gbps_rx": 0.1,      "link_capacity_gbps": 0,      "error_count": 0,      "bytes_egress_total": 0,      "bytes_ingress_total": 0,      "link_flaps": 0,      "cable_able": true,      "connector": "string",      "color": "string",      "breakout_used_gbps": 0,      "breakout_capacity_gbps": 0,      "breakout_leg_count": 0    }  ],  "inv_status": "string",  "age_hours": 0,  "power_on_hours": 0,  "condition_pct": 0,  "resale_dollars": 0.1}

Response body

200The entity
application/json

On this page